Bug 71937 - x11-servers/XFree86-4-Server has keyboard problem on pc98
Summary: x11-servers/XFree86-4-Server has keyboard problem on pc98
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-20 14:10 UTC by NAKAJI Hiroyuki
Modified: 2004-09-26 15:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.31 KB, patch)
2004-09-20 14:10 UTC, NAKAJI Hiroyuki
no flags Details | Diff
patch-programs::Xserver::hw::xfree86::common::xf86Events.c (1.37 KB, text/x-csrc; charset="us-ascii")
2004-09-21 15:46 UTC, Dejan Lesjak
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description NAKAJI Hiroyuki 2004-09-20 14:10:26 UTC
	As reported in freebsd-x11 list by Satoshi Kimura,
http://lists.freebsd.org/pipermail/freebsd-x11/2004-September/000874.html,
XFree86 4.4.0 has a problem about keyboard on pc98. For example, CTRL,
GRPH, and left-Shift key cannot be used because keycode is different.

	This problem itself is a bug of XFree86.

Fix: One additional patch in files directory is enough. I hope this
can be imported into 5.3-RELEASE. The patch itself is posted as
patch.kbd.gz by Satoshi Kimura to freebsd-x11@freebsd.org. Thanks.
How-To-Repeat: 	On pc98, install x11-servers/XFree86-4-Server and execute X
server.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2004-09-21 06:01:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->x11

Over to maintainer(s).
Comment 2 Dejan Lesjak 2004-09-21 15:46:54 UTC
The patch by Satoshi Kimura has already been commited to XFree86 CVS, so I've 
taken diffs from there (also for other patches he sent). Since there is a 
slight modification, could you please confirm that this one also works as 
expected.
Comment 3 lesi freebsd_committer 2004-09-21 16:27:43 UTC
State Changed
From-To: open->feedback

I've just reread the patch from CVS. The second part is most probably 
wrong as the line: 
+  if (xf86IsPc98()) { 
should be 
+  if (!xf86IsPc98()) { 
instead. Could you please confirm this.
Comment 4 NAKAJI Hiroyuki 2004-09-22 15:43:22 UTC
My keyboard problem has gone. Thanks!
-- 
NAKAJI Hiroyuki
Comment 5 Dejan Lesjak 2004-09-25 01:17:51 UTC
That won't be necesarry, but thanks.
Comment 6 lesi freebsd_committer 2004-09-26 15:48:50 UTC
State Changed
From-To: feedback->closed

Commited, thanks!